DFB_Theme Struct Reference

`#include <SDL_DirectFB_WM.h>`

## Data Fields

int | left_size
int | right_size
int | top_size
int | bottom_size
DFBColor | frame_color
int | caption_size
DFBColor | caption_color
int | font_size
DFBColor | font_color
char * | font
DFBColor | close_color
DFBColor | max_color

## Detailed Description

Definition at line 28 of file SDL_DirectFB_WM.h.

## Field Documentation

int DFB_Theme::bottom_size

Definition at line 33 of file SDL_DirectFB_WM.h.

DFBColor DFB_Theme::caption_color

Definition at line 36 of file SDL_DirectFB_WM.h.

int DFB_Theme::caption_size

Definition at line 35 of file SDL_DirectFB_WM.h.

DFBColor DFB_Theme::close_color

Definition at line 40 of file SDL_DirectFB_WM.h.

char* DFB_Theme::font

Definition at line 39 of file SDL_DirectFB_WM.h.

DFBColor DFB_Theme::font_color

Definition at line 38 of file SDL_DirectFB_WM.h.

int DFB_Theme::font_size

Definition at line 37 of file SDL_DirectFB_WM.h.

DFBColor DFB_Theme::frame_color

Definition at line 34 of file SDL_DirectFB_WM.h.

int DFB_Theme::left_size

Definition at line 30 of file SDL_DirectFB_WM.h.

DFBColor DFB_Theme::max_color

Definition at line 41 of file SDL_DirectFB_WM.h.

int DFB_Theme::right_size

Definition at line 31 of file SDL_DirectFB_WM.h.

int DFB_Theme::top_size

Definition at line 32 of file SDL_DirectFB_WM.h.

The documentation for this struct was generated from the following file:

- src/video/directfb/SDL_DirectFB_WM.h